﻿using System;

namespace DreamDriven.ObjectModel.Exceptions
{
    public class NHibernateConfigNotFoundException: Exception
    {
        private string _messageFormat = "NHibernate config for service '{0}' not found";
        public string ServiceName { get; private set; }

        public override string Message
        {
            get { return string.Format(_messageFormat, ServiceName); }
        }

        public NHibernateConfigNotFoundException(string serviceName)
        {
            ServiceName = serviceName;
        }
    }
}
