using DreamDriven.ObjectModel;
using NUnit.Framework;

namespace ObjectModelTests.Stubs
{
    public class BusinessLogicManagerStub : BaseBusinessLogicManager
    {
        public BusinessLogicManagerStub(IDomainModel domainModel)
            : base(domainModel)
        {
        }

        public void TestDomainModel(IDomainModel domainModel)
        {
            Assert.AreSame(domainModel, DomainModel);
        }

        public void TestLoggerNotNull()
        {
            Assert.IsNotNull(Logger);
        }
    }
}