﻿using Castle.Core.Logging;
using Castle.Windsor;

namespace DreamDriven.ObjectModel
{
    /// <summary>
    /// Domain Model abstraction.
    /// </summary>
    public interface IDomainModel : IDomainService, ISessionContainer
    {
        ILogger Logger { get; }
        IWindsorContainer Container { get;}
    }
}