﻿using NHibernate;

namespace DreamDriven.ObjectModel
{
    /// <summary>
    /// Abstraction for objects which have access to NHibernate Session object.
    /// </summary>
    public interface ISessionContainer
    {
        /// <summary>
        /// NHibernate session.
        /// </summary>
        /// <value>Session.</value>
        ISession Session { get; }
    }
}
