﻿using DataObjects;
using DreamDriven.ObjectModel.BusinessLogic;
using DreamDriven.ObjectModel.Contracts;

namespace BusinessLogic
{
    public sealed class BusinessLogicManager : AbstractBusinessLogicManager
    {
        private new DomainModel DomainModel
        {
            get { return (DomainModel)base.DomainModel; }
        }

        public void CreateDataObject(DataObject role)
        {
            DomainModel.Repository.Create(role);
        }

        public void DoSomething()
        {
        }

        public BusinessLogicManager(IDomainModel domainModel)
            : base(domainModel)
        {
        }
    }
}
